# DataExchange
TKSTEPBase
StepShape

# StepShape_CsgSelect Class Reference

`#include <StepShape_CsgSelect.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_CsgSelect ()
| Returns a CsgSelect SelectType .
Standard_EXPORT void | SetTypeOfContent (const Standard_Integer aTypeOfContent)
Standard_EXPORT Standard_Integer | TypeOfContent () const
Standard_EXPORT Handle_StepShape_BooleanResult | BooleanResult () const
| returns Value as a BooleanResult (Null if another type)
Standard_EXPORT void | SetBooleanResult (const Handle(StepShape_BooleanResult)&aBooleanResult)
Standard_EXPORT StepShape_CsgPrimitive | CsgPrimitive () const
| returns Value as a CsgPrimitive (Null if another type)
Standard_EXPORT void | SetCsgPrimitive (const StepShape_CsgPrimitive &aCsgPrimitive)

## Private Attributes

Handle_StepShape_BooleanResult | theBooleanResult
StepShape_CsgPrimitive | theCsgPrimitive
Standard_Integer | theTypeOfContent

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_CsgSelect::StepShape_CsgSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepShape_BooleanResult StepShape_CsgSelect::BooleanResult | ( |  | ) | const

Standard_EXPORT StepShape_CsgPrimitive StepShape_CsgSelect::CsgPrimitive | ( |  | ) | const

void StepShape_CsgSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepShape_CsgSelect::operator new | ( | size_t | size | ) | `[inline]`

void* StepShape_CsgSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void StepShape_CsgSelect::SetBooleanResult | ( | const Handle(StepShape_BooleanResult)& | aBooleanResult | ) |

Standard_EXPORT void StepShape_CsgSelect::SetCsgPrimitive | ( | const StepShape_CsgPrimitive & | aCsgPrimitive | ) |

Standard_EXPORT void StepShape_CsgSelect::SetTypeOfContent | ( | const Standard_Integer | aTypeOfContent | ) |

Standard_EXPORT Standard_Integer StepShape_CsgSelect::TypeOfContent | ( |  | ) | const

## Field Documentation

Handle_StepShape_BooleanResult StepShape_CsgSelect::theBooleanResult `[private]`

StepShape_CsgPrimitive StepShape_CsgSelect::theCsgPrimitive `[private]`

Standard_Integer StepShape_CsgSelect::theTypeOfContent `[private]`

The documentation for this class was generated from the following file:

- StepShape_CsgSelect.hxx